Bug 1536942 (CVE-2018-1000027) - CVE-2018-1000027 squid: Incorrect pointer handling in HTTP processing and certificate download can lead to denial of service
Summary: CVE-2018-1000027 squid: Incorrect pointer handling in HTTP processing and cer...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1000027
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1536940 1582301
Blocks: 1536944
TreeView+ depends on / blocked
 
Reported: 2018-01-22 05:32 UTC by Sam Fowler
Modified: 2020-03-31 22:32 UTC (History)
9 users (show)

Fixed In Version: squid 3.5.28, squid 4.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:32:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1068 None None None 2020-03-31 19:20:04 UTC

Description Sam Fowler 2018-01-22 05:32:15 UTC
Due to incorrect pointer handling, Squid versions 3.x (prior to 3.5.27) and 4.x (prior to 4.0.23) are vulnerable to a denial of service attack when processing HTTP messages or downloading intermediate CA certificates. This problem allows a remote client delivering certain HTTP requests in conjunction with certain trusted server responses to trigger a denial of service for all clients accessing the Squid service.

Upstream Advisory:
http://www.squid-cache.org/Advisories/SQUID-2018_2.txt

Upstream Patches:
http://www.squid-cache.org/Versions/v3/3.5/changesets/SQUID-2018_2.patch
http://www.squid-cache.org/Versions/v4/changesets/SQUID-2018_2.patch

Comment 1 Sam Fowler 2018-01-22 05:34:58 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1536940]

Comment 2 Stefan Cornelius 2018-05-24 11:24:21 UTC
Mitigation:

A workaround for this issue is to set the "log_uses_indirect_client off" configuration directive in the squid configuration file (for example /etc/squid/squid.conf).

Comment 9 errata-xmlrpc 2020-03-31 19:19:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1068 https://access.redhat.com/errata/RHSA-2020:1068

Comment 10 Product Security DevOps Team 2020-03-31 22:32:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-1000027


Note You need to log in before you can comment on or make changes to this bug.